--[[----------------------------------------------------------------------------

RxTestKeywords.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2011 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.sqlite.index_store
local WFRxIndexStoreSchema = require 'WFRxIndexStoreSchema'

--============================================================================--

local indexStoreSchema = WFRxIndexStoreSchema()

--------------------------------------------------------------------------------

indexStoreSchema:addTable {

	sql = [[CREATE TABLE keywords( keyword )]],

	relevantTypeSubtypeTuples = {
		{ '*', '*' }
	},

	map = function( docValue, emit )

		local keywords = docValue.keywords
		
		if keywords then
		
			for keywordName in pairs( keywords ) do
				if keywordName ~= '_replace' then
					emit( keywordName )
				end
			end
		
		end
	
	end,

}

--------------------------------------------------------------------------------

return {
	indexStoreSchema = indexStoreSchema,
}
